Ubuntu Kylin技术论坛

 找回密码
查看: 529580|回复: 415

在Ubuntu Kylin下安装QQ教程

  [复制链接]
  • TA的每日心情
    奋斗
    2018-4-2 08:39
  • 签到天数: 445 天

    [LV.9]以坛为家II

    发表于 2014-3-5 15:45:35 | 显示全部楼层 |阅读模式
    本帖最后由 wenbo607 于 2018-1-17 08:36 编辑

    银河麒麟版本安装攻略:
    记录于20170503:本条专用于最近出的银河麒麟版本安装QQ,优麒麟版本还是按之前的攻略安装
    1、从优麒麟官网(http://www.ubuntukylin.com/application/show.php?lang=cn&id=279)下载QQ压缩包,并减压缩。
    2、sudo vim /etc/apt/sources.list 修改源地址为 deb http://archive.kylinos.cn/yhkylin/ juniper main restricted universe multiverse 这其实就是系统默认源地址之一,其余的源地址全部删除,然后运行sudo apt-get update 即可。
    3、先运行 sudo dpkg --add-architecture i386 然后直接用 sudo dpkg -i fonts-wqy-microhei_0.2.0-beta-2_all.deb ttf-wqy-microhei_0.2.0-beta-2_all.deb wine-qqintl_0.1.3-2_i386.deb 安装qq的三个包,这时会报依赖问题,用 sudo apt-get  -f install 解决依赖即可安装成功,其它使用问题见帖子下文要注意事项。

    注意:银河麒麟版不需要像优麒麟版那样去下载帖子末尾的包,源中已有。

    ===============================================================================

    优麒麟版本安装攻略:
    记录于20170106:现在这个版本qq登录时会报 “您的号码暂时不能使用低版本的QQ,请到:***下载安装最新版的QQ” ,这是由于被安全机制检测到版本太低,需要手机登录qq将手机设备锁关掉才行。

    另外:ubuntu1610之后系统版本的用户,由于ubuntu源里面不再有libpng12这个包了,会包依赖错误,需要手动下载安装libpng12这个包,依赖包已经上传,在文章末尾处可点击下载。 下载后先运行 sudo dpkg --add-architecture i386 后再 sudo dpkg -i libpng12-0_1.2.54-1ubuntu1_i386.deb 即可安装。

    =========================================================

    由于Wine QQ一直没更新版本导致目前版本报版本过低无法使用,暂时先上UK官网的国际版Wine QQ,虽然功能没那么新,但稳定能用:

    下载:

    下载地址:http://www.ubuntukylin.com/application/show.php?lang=cn&id=279

    下载后解压得到wine-qqintl文件夹,里面有三个deb包:fonts-wqy-microhei_0.2.0-beta-2_all.deb、ttf-wqy-microhei_0.2.0-beta-2_all.deb、wine-qqintl_0.1.3-2_i386.deb

    安装:
    1、在wine-qqintl目录下打开终端输入:sudo dpkg -i fonts-wqy-microhei_0.2.0-beta-2_all.deb ttf-wqy-microhei_0.2.0-beta-2_all.deb wine-qqintl_0.1.3-2_i386.deb
    2、如果报依赖错误,输入:sudo apt-get install -f
    3、自动解决依赖后再执行步骤1

    另外需要注意的是:在登录的时候,如果输入密码时提示密码错误,请使用旁边的软件盘进行鼠标点击输入就能成功了。



    ==============华丽的分割线,下面版本已过时====================
    1.
    下载Wine QQ安装包

    WineQQ2013SP6-20140102-Longene

    本帖软件包来自:http://www.longene.org/forum/vie ... 4700&p=12241#p12241,
    2.具体安装

    32位系统安装说明:
    • 1.如果之前安装过旧版本需要先卸载(通过dpkg -l | grep qq查看)。
    • 卸载: 先dpkg -l | grep qq 找到 名字xxx,然后执行:sudo dpkg -P  名字xxx
    • 2.安装: sudo dpkg -i 软件名.deb
    • 3.安装后qq在桌面上方dash中找到qq点击即可运行。
    • 4.安装后第一次运行qq登录的时候可能有点慢这是正常的,qq要生成自己的一些用户信息

    64位系统安装说明:
    • 运行如下代码一次性解决所有依赖:sudo apt-get install libgtk2.0-0:i386
    • 然后再参考32位的安装方式
    另外需要注意的是:在登录的时候,如果输入密码时提示密码错误,请使用旁边的软件盘进行鼠标点击输入就能成功了。(这应该是个BUG)   

    3.效果图







    本帖子中包含更多资源

    您需要 登录 才可以下载或查看,没有帐号?立即注册

    x

    评分

    参与人数 1麒麟币 +5 收起 理由
    UID0 + 5 赞一个!

    查看全部评分

    回复

    使用道具 举报

  • TA的每日心情
    慵懒
    2016-1-17 18:18
  • 签到天数: 181 天

    [LV.7]常住居民III

    发表于 2014-3-8 13:16:17 | 显示全部楼层
    已经装上了,比那个破烂smart qq好多了,谢谢楼主
    回复 支持 0 反对 1

    使用道具 举报

  • TA的每日心情
    奋斗
    2018-4-2 08:39
  • 签到天数: 445 天

    [LV.9]以坛为家II

     楼主| 发表于 2014-3-5 15:47:43 | 显示全部楼层
    自己先顶个,为放入软件中心后有个安装教程而写
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    奋斗
    2018-8-9 19:29
  • 签到天数: 279 天

    [LV.8]以坛为家I

    发表于 2014-3-6 08:40:01 | 显示全部楼层
    我用的WineQQ2013SP6,但是老是莫名其妙的被关掉,还经常卡死了,点击没有任何反应,输入法也经常切不过来。。淡淡的忧伤阿。。
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    奋斗
    2018-4-2 08:39
  • 签到天数: 445 天

    [LV.9]以坛为家II

     楼主| 发表于 2014-3-6 08:51:31 | 显示全部楼层
    小叶冰城 发表于 2014-3-6 08:40
    我用的WineQQ2013SP6,但是老是莫名其妙的被关掉,还经常卡死了,点击没有任何反应,输入法也经常切不过来 ...

    可以试试这个  我用了两天了  还没崩过  感觉不错  比我之前用的WineTMqq2013好用
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    奋斗
    2015-8-26 09:39
  • 签到天数: 8 天

    [LV.3]偶尔看看II

    发表于 2014-3-6 10:37:30 | 显示全部楼层
    wineqq2013不是很稳定
    回复 支持 反对

    使用道具 举报

  • TA的每日心情

    2016-10-15 19:09
  • 签到天数: 54 天

    [LV.5]常住居民I

    发表于 2014-3-6 14:42:02 | 显示全部楼层
    有什么BUG没?稳定的话我也试试。自从用了Ubuntu,很久没挂QQ了。
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    奋斗
    2018-4-2 08:39
  • 签到天数: 445 天

    [LV.9]以坛为家II

     楼主| 发表于 2014-3-6 14:47:01 | 显示全部楼层
    librelife 发表于 2014-3-6 14:42
    有什么BUG没?稳定的话我也试试。自从用了Ubuntu,很久没挂QQ了。

    有bug  输密码的时候 像我上面说的 有时候只能用软件盘 不然一直密码错误  再就是qq表情有时候会打不开  正常聊天还是没问题的   这个版本用了3天了 在我机子上还没出现崩溃
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    奋斗
    2016-7-6 20:14
  • 签到天数: 6 天

    [LV.2]偶尔看看I

    发表于 2014-3-7 15:24:39 | 显示全部楼层
    本帖最后由 老郑 于 2014-3-7 15:26 编辑

    建议注明来源 ( 疑似 http://www.longene.org/forum/viewtopic.php?f=6&t=4700
    另外,这个帖子是不是转到软件栏目更合适?
    回复 支持 反对

    使用道具 举报

  • TA的每日心情
    奋斗
    2018-4-2 08:39
  • 签到天数: 445 天

    [LV.9]以坛为家II

     楼主| 发表于 2014-3-7 15:59:01 | 显示全部楼层
    老郑 发表于 2014-3-7 15:24
    建议注明来源 ( 疑似 http://www.longene.org/forum/viewtopic.php?f=6&t=4700 )
    另外,这个帖子是不是 ...

    我的那个包不是来自这个网站  但发现你提供的这个网站的包更新  已经替换我原来的包 并标明了来源  感谢你提供的资源   至于帖的位置没关系啦 当初是因为和另外一个游戏帖一起写在这里的  
    回复 支持 反对

    使用道具 举报

    您需要登录后才可以回帖 登录 | 立即注册

    本版积分规则

    小黑屋|手机版|Archiver|Ubuntu Kylin    

    GMT+8, 2018-11-14 17:56 , Processed in 0.025954 second(s), 12 queries , File On.

    Copyright ©2013-2018 Ubuntu Kylin. All Rights Reserved .

    ICP No. 15002470-2 Tianjin

    快速回复 返回顶部 返回列表